<?
/*
Автор: ЗэК (ZeK)
E-mail: otwap.ru@bk.ru
icq: 10361141
*/

include 'system/config.php';
$url='http://nasimke.ru/files_md/'.trim($_GET['img']);
$inf=getimagesize($url);
if ($inf){
if ($inf['mime'] == 'image/jpeg'){

header('Content-Type: image/jpeg');
$img=imagecreatefromjpeg($url);
imagejpeg($img);
}
elseif ($inf['mime'] == 'image/png'){
header('Content-Type: image/png');
$img=imagecreatefrompng($url);
imagepng($img);
}else{
header('Content-Type: '.$inf['mime']);
echo file_get_contents($url);
}
}else{
header('Location: '.$site.'/img/no_image.gif');
}
?>